# Poco::Net

# class HTTPFixedLengthIOS

Library: Net
Package: HTTP
Header: Poco/Net/HTTPFixedLengthStream.h

## Description

The base class for HTTPFixedLengthInputStream.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: HTTPFixedLengthInputStream, HTTPFixedLengthOutputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### HTTPFixedLengthIOS

HTTPFixedLengthIOS(
HTTPSession & session,
HTTPFixedLengthStreamBuf::ContentLength length,
HTTPFixedLengthStreamBuf::openmode mode
);

## Destructor

### ~HTTPFixedLengthIOS

~HTTPFixedLengthIOS();

## Member Functions

### rdbuf

HTTPFixedLengthStreamBuf * rdbuf();

## Variables

### _buf

HTTPFixedLengthStreamBuf _buf;